Package twisted :: Package python :: Module formmethod :: Class Argument

[show private | hide private]
[frames | no frames]

## Class Argument

Known Subclasses:
  `String`, `Date`, `Integer`, `Flags`, `Choice`, `Float`, `Boolean`

Base class for form arguments.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints)`
| `addHint(self, hint)`
| ``coerce`(self, val)` Convert the value to the correct format.
| `getLongDescription(self)`
| `getShortDescription(self)`

Class Variable Summary
`None` | `defaultDefault`

Method Details

### coerce(self, val)

Convert the value to the correct format.

Class Variable Details

### defaultDefault

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net